import { StatusFamily } from "./StatusFamily.js";
export declare class Exception extends Error {
    #private;
    /**
     * Exception base name
     * @type {string}
     */
    name: string;
    /**
     * Message of the exception
     */
    message: string;
    /**
     * Exception type
     * @type {string}
     */
    type: string;
    /**
     * Stack calling
     */
    stack: string;
    origin: Error & any;
    /**
     * HTTP Code Status
     */
    status: number;
    /**
     *
     */
    body: any;
    /**
     * Headers must be sent to the response
     */
    headers: {
        [key: string]: any;
    };
    [key: string]: any;
    static validate(status: number, family: StatusFamily): number;
    constructor(status?: number, message?: string, origin?: Error | string | any);
    setHeaders(headers: {
        [key: string]: any;
    }): this;
    setHeader(key: string, value: any): this;
    setOrigin(origin: Error | string | any): void;
    toString(): string;
}
export declare class HTTPException extends Exception {
}
